---
lang: en
title: 'API docs: rest.rejectprovider'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.rejectprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RejectProvider](./rest.rejectprovider.md)

## RejectProvider class

<b>Signature:</b>

```typescript
export declare class RejectProvider implements Provider<Reject> 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(logError, errorWriterOptions)](./rest.rejectprovider._constructor_.md) |  | Constructs a new instance of the <code>RejectProvider</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [errorWriterOptions](./rest.rejectprovider.errorwriteroptions.md) |  | <code>ErrorWriterOptions &#124; undefined</code> |  |
|  [logError](./rest.rejectprovider.logerror.md) |  | <code>LogError</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [action({ request, response }, error)](./rest.rejectprovider.action.md) |  |  |
|  [value()](./rest.rejectprovider.value.md) |  |  |


